<?
session_start();
$num_presup = $_POST['num_presup'];


//conectamos a la base de datos y extraemos el presupuesto con el número
require ("gestion_web/config.php");
//require("includes/fns_oper.php");
if ($_SERVER['SERVER_NAME']=="localhost") {
$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("Location:  index.php"));
mysql_select_db("$sql_db");
}
else {
$dsn="DBRENT";//debe ser de sistema no de usuario
$usuario="CV";
$password="1929";
$cid=odbc_connect($dsn,$usuario,$password);
if (!$cid){
	exit("Ya ocurrido un error tratando de conectarse con el origen de datos.");
}
}

function limitaCaracteres($cadena,$limite) {
	
	if (strlen($cadena)>$limite) {
		$cadena = substr($cadena,0,$limite);
		$cadena .= "...";
	}
	else {$cadena = $cadena;}
	
	return $cadena;
}

function dame_provincia($cpostal) {
	
	//$cp = substr($cpostal,0,2);
	global $cid;
	
	$sql = "SELECT TOP 1 * FROM PROVINCIA WHERE CP='".$cpostal."'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	while ($row = odbc_fetch_array($result)) {
		$provincia = $row['PROV'];
	}
	
	/*
	$sql = mysql_query("SELECT * FROM provincias_c WHERE siglas='$cp'");
	while ($row = mysql_fetch_array($sql)) {
				$provincia = $row['provincia'];
				
			}
			*/
			
			return $provincia;
	
}

//seleccionamos nuestro presupuesto
$sql="Select top 1 * from PRESUP1 WHERE  NUMERO_PRE like '$num_presup'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$coche = $row['VCACT_PRE1'];
	$num_potencial = $row['CONTACTO_PRE1'];
	$tarifa = $row['TARIFA_PRE1'];
	$fecha_presup = $row['FSALIDA_PRE1'];
	$hora_presup = $row['HSALIDA_PRE1'];
	$fin_fecha_presup = $row['FPREV_PRE1'];
	$fin_hora_presup = $row['HPREV_PRE1'];
	
	$direccion = $row['ENT_CALLE'];
	$numero = $row['ENT_NUM'];
	$cpostal = $row['ENT_CP'];
	$ciudad = $row['ENT_POB'];
	$provincia = dame_provincia($cpostal);
	
	$direccion_fin = $row['ENT_CALLER'];
	$numero_fin = $row['ENT_NUMR'];
	$cpostal_fin = $row['ENT_CPR'];
	$ciudad_fin = $row['ENT_POBR'];
	$provincia_fin = dame_provincia($cpostal_final);
}



$sql="Select * from ntari WHERE CODIGO like '$tarifa'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$desc_tarifa = $row['NOMBRE'];
	$condiciones = utf8_encode($row['COND_TAR']);
}

//con esto mostramos los datos, 
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$desc_tarifa = $row['DESCCON'];
}


$rsql = "SELECT TOP 1 * FROM POTENCIALES WHERE (NUMERO like '$num_potencial')";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		while ($row = odbc_fetch_array($results)) {
			$nombre = $row['NOMBRE'];
			
		}

//sacamos los datos del coche
$sql="Select * from vehiculo1 WHERE CODIINT like '$coche'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$titulo = $row['MARCA'].' '.$row['MODELO'];
	$id_des = $row['ID_DES'];
	$id_nom = $row['ID_NOM'];
}

//extraemos la descripcion
$sql="Select * from IDIOMA_TRADUCCION WHERE ID_REG like '$id_des' AND IDIOMA='1'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$texto = utf8_encode($row['TRADUCCION']);
}

$sql="Select * from IDIOMA_TRADUCCION WHERE ID_REG like '$id_nom' AND IDIOMA='1'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$titulo = utf8_encode($row['TRADUCCION']);
}

require('fpdf.php');
//require ("includes/comunes.php");
$pdf=new FPDF();
$pdf->SetTitle($titulo);
$pdf->AddPage();
$pdf->SetAutoPageBreak(0,0);


$pdf->SetFont('arial','B',12);
$pdf->SetTextColor(154,132,83);
$pdf->SetDrawColor(0,0,0);
$pdf->SetXY(22,25);
$pdf->Cell(175,10,strtoupper(utf8_decode($titulo)),1,2,'C',1);

//dibujamos el recuadro
$pdf->SetLineWidth(0.5);
$pdf->Rect(22,25,175,242,'D');

//fotos de vehículos

if (is_file('flota/'.$coche.'_1.jpg')) {
$pdf->Image('flota/'.$coche.'_1.jpg',58,40,105,0);
}

if (is_file('flota/'.$coche.'_2.jpg')) {
$pdf->Image('flota/'.$coche.'_2.jpg',28,108,50,0);
}

if (is_file('flota/'.$coche.'_3.jpg')) {
$pdf->Image('flota/'.$coche.'_3.jpg',141,108,50,0);
}

$pdf->SetTextColor(0,0,0);
$pdf->SetFont('arial','B',7);
$pdf->SetXY(81,109);
$pdf->MultiCell(57,3,utf8_decode($texto),0);

//la linea
//$pdf->Line(22,145,197,145);
$inicio_fila = 145;
$salto_linea = 5;
//datos e importe del presupuesto
$pdf->SetTextColor(0,0,0);
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(30,6,'PRESUPUESTO Nº:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(55,6,$num_presup,0,0,'L');

//$pdf->SetXY(25,162);
$pdf->SetFont('arial','B',8);
$pdf->Cell(30,6,'TIPO DE SERVICIO:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(55,6,$desc_tarifa,0,0,'L');


$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(30,6,'CLIENTE:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(55,6,strtoupper($nombre),0,0,'L');

$pdf->SetFont('arial','B',8);
$pdf->Cell(30,6,'VEHICULO:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(55,6,strtoupper(utf8_decode($titulo)),0,0,'L');


//inicio servicio
$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(85,6,'INICIO SERVICIO',0,0,'C');


$pdf->SetFont('arial','B',8);
$pdf->Cell(85,6,'FIN SERVICIO',0,0,'C');


$inicio_fila += $salto_linea;


//fecha y hora de inicio
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'FECHA:',0,0,'L');
$pdf->SetFont('arial','',8);
$fecha_presup = explode("-",$fecha_presup);
$fecha_presup = $fecha_presup[2]."/".$fecha_presup[1]."/".$fecha_presup[0];
$pdf->Cell(21,6,$fecha_presup,0,0,'L');
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'HORA:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(21,6,$hora_presup,0,0,'L');

//fecha y hora final
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'FECHA:',0,0,'L');
$pdf->SetFont('arial','',8);
$fin_fecha_presup = explode("-",$fin_fecha_presup);
$fin_fecha_presup = $fin_fecha_presup[2]."/".$fin_fecha_presup[1]."/".$fin_fecha_presup[0];
$pdf->Cell(21,6,$fin_fecha_presup,0,0,'L');
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'HORA:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(21,6,$fin_hora_presup,0,0,'L');

$inicio_fila += $salto_linea;

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'LUGAR:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,limitaCaracteres($direccion,30).', '.$numero,0,0,'L');

if ($direccion_fin=="") {$direccion_fin = "- -";}
else {
if ($hora_fin!="") {
	$direccion_fin = limitaCaracteres($direccion_fin,30);
	$direccion_fin .= ", ".$numero_fin;}
}

$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,'LUGAR:',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,$direccion_fin,0,0,'L');	

$inicio_fila += $salto_linea;

if ($cpostal=="") {$cpostal = "- -";}
else {
	if ($ciudad!="") {$cpostal .= " - ".$ciudad;}
	if ($provincia!="") {$cpostal .= " (".$provincia.")";}
}

$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,' ',0,0,'L');
$pdf->SetFont('arial','',8);
$pdf->Cell(63,6,$cpostal,0,0,'L');

if ($cpostal_fin=="") {$cpostal_fin = "- -";}
else {
	if ($ciudad_fin!="") {$cpostal_fin .= " - ".$ciudad_fin;}
	if ($provincia_fin!="") {$cpostal_fin .= " (".$provincia_fin.")";}
}

$pdf->SetFont('arial','B',8);
$pdf->Cell(21,6,' ',0,0,'L');
$pdf->SetFont('arial','',8);
//$pdf->Cell(63,6,$cpostal_fin.' - '.$ciudad_fin.' ('.$provincia_fin.')',0,0,'L');
$pdf->Cell(63,6,$cpostal_fin,0,0,'L');

//cajas para inicio y fin de servicio

//inicio
$pdf->SetLineWidth(0.2);
$fin_caja_inicio = $inicio_fila - 155 + 6;
$pdf->Rect(25,155,80,$fin_caja_inicio,'D');
//fin
$pdf->Rect(109,155,85,$fin_caja_inicio,'D');


//a partir de aqui pondrá de forma dinámica los conceptos facturables
$inicio_fila = 178;
$salto_linea = 5;
$sql = "SELECT * FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
$precio_total = 0;

$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(65,6,'CONCEPTO','B',0,'L');
	
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(22,6,'CANTIDAD','B',0,'C');
	
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(28,6,'PRECIO/UD.','B',0,'R');
	
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(26,6,'DESCUENTO','B',0,'C');
	
	$pdf->SetFont('arial','B',8);
	$pdf->Cell(28,6,'PRECIO','B',2,'R');
	
	
	$inicio_fila += $salto_linea;

while ($row = odbc_fetch_array($result)) {
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',7);
	$pdf->Cell(65,6,$row['DESCCON'],0,0,'L');
	
	$pdf->SetFont('arial','',7);
	$pdf->Cell(22,6,$row['CANTIDAD'],0,0,'C');
	
	$pdf->SetFont('arial','',8);
	$pdf->Cell(28,6,$row['PRECIO'].' €',0,0,'R');
	
	if ($row['DTO_SN']) {$descuento = $row['DTO'];} else {$descuento = '';}
	$pdf->SetFont('arial','',8);
	$pdf->Cell(26,6,$descuento,0,0,'C');
	
	$pdf->SetFont('arial','',7);
	$pdf->Cell(28,6,$row['SUBTOTAL'].' €',0,2,'R');
	
	
	$inicio_fila += $salto_linea;
}


//base imponible
$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',7);
	$pdf->Cell(65,6,'BASE I.','T',0,'L');
	$pdf->SetFont('arial','',7);
	$pdf->Cell(20,6,$_POST['baseim'].' €','T',0,'R');
	
	$pdf->Cell(84,6,'','T',2,'R');
	
	$inicio_fila += $salto_linea;
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',7);
	$pdf->Cell(65,6,'I.V.A.(7%)',0,0,'L');
	$pdf->SetFont('arial','',7);
	$pdf->Cell(20,6,$_POST['iva'].' €',0,2,'R');
	
	$inicio_fila += $salto_linea;
	
	$pdf->SetXY(25,$inicio_fila);
	$pdf->SetFont('arial','B',7);
	$pdf->Cell(65,6,'TOTAL',0,0,'L');
	$pdf->SetFont('arial','',7);
	$pdf->Cell(20,6,$_POST['precio_final'].' €',0,2,'R');
	
	$inicio_fila += $salto_linea;
	
	//pie de página
$pdf->Image('images/pie_logo.jpg',128,218,65,0);

$pdf->SetTextColor(0,0,0);
$pdf->SetFillColor(154,132,83);
$pdf->SetXY(22.4,239.8);
$pdf->SetFont('arial','B',8);
$pdf->Cell(174.2,4,'(+34) 902 44 45 16 - (+34) 968 44 45 16                    ',0,2,'R',1);

//$pdf->Image('images/pie_3.jpg',125,245,70,0);




//condiciones tarifa
$pdf->SetXY(25,$inicio_fila);
$pdf->SetFont('arial','',6);
$pdf->MultiCell(110,3,'* '.utf8_decode($condiciones),0,'L',0);

$inicio_fila += $salto_linea;

//dibujamos el recuadro
$fin_caja = ($inicio_fila-178) - $salto_linea;
$pdf->SetLineWidth(0.2);
$pdf->Rect(25,178,169,$fin_caja,'D');



//condiciones
$condiciones_presupuesto = "Este presupuesto es aproximado, puede sufrir variaciones dependiendo de la zona geográfica, desplazamientos, distancias recorridas y horas entre inicio y final.";
$pdf->SetXY(20.5,268);
$pdf->SetFont('arial','',6);
$pdf->MultiCell(0,3,'* '.$condiciones_presupuesto,0,'L',0);


//vamos a mostrar datos del comercial
$pdf->SetXY(25,245);
$pdf->SetFont('arial','B',7);
$pdf->Cell(20,6,'LE ATENDIO: ',0,0,'L');

$sql = "SELECT TOP 1 * FROM POTENCIALES WHERE NUMERO='".$_SESSION['potencial']."'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	while ($row = odbc_fetch_array($result)) {
$pdf->SetFont('arial','',7);
$pdf->Cell(60,6,$row['NOMBRE'],0,2,'L');

$inicio_fila = 245;
$inicio_fila += $salto_linea;
	
$pdf->SetXY(25,$inicio_fila);

$pdf->SetFont('arial','B',7);
$pdf->Cell(20,6,'MÓVIL: ',0,0,'L');
$pdf->SetFont('arial','',7);
$pdf->Cell(60,6,$row['MOVIL'],0,2,'L');

$inicio_fila += $salto_linea;
	
$pdf->SetXY(25,$inicio_fila);





$pdf->SetFont('arial','B',7);
$pdf->Cell(20,6,'E-MAIL: ',0,0,'L');
$email = $row['EMAIL'];
$email_2 = eregi_replace("#","@",$email);
$pdf->SetFont('arial','',7);
$pdf->Cell(60,6,$email_2,0,2,'L');

$inicio_fila += $salto_linea;
	
$pdf->SetXY(25,$inicio_fila);

/*
if ($row['EMAIL']!="") {

$pdf->SetFont('arial','B',7);
$pdf->Cell(20,6,'E-MAIL: ',0,0,'L');

$email = $row['EMAIL'];
$email_2 = eregi_replace("#","@",$email);
$pdf->SetFont('arial','',7);
$pdf->Cell(60,6,$email_2,0,2,'L');
}
*/
	}
	
$pdf->Output();
?>